Can't select PHP version even in Custom

What issue or error are you experiencing?

I can only see and select 8.1.23 PHP version.

What steps can be taken to replicate the issue? Feel free to include screenshots, videos, etc


local-app-issue.zip (491.1 KB)


System Details

  • Local Version:
    Version 8.2.1+6583

  • Operating System (OS) and OS version:
    10.0.19045 Build 19045


Local Logs

Attach your Local Logs here (Help Doc - Retrieving Local’s Log)

local-lightning.log (436.6 KB)


Hi @hua

On Windows you’ll want to make sure that Local isn’t being blocked anywhere by security or firewall applications and that it has permission to update the hosts file.

Do you have any antivirus, security, or firewall applications that could be blocking Local?

Are you running other developer applications simultaneously? That could also cause similar issues. Apps like MAMP, XAMPP, or Docker for example.

If you create a new, blank site can you select the PHP drop down at the customization screen?

Hi Nick,

Thanks for the reply.

  • This is a company computer, so I don’t have control on the antivirus, security or firewall. Do you have any these kind of applications on you mind that may blocking Local?

  • Nope, I don’t run any other developer applications simultaneously.

  • Nope, I still can only see and select 8.1.23 PHP version when I create a new blank site.

This is a company computer, so I don’t have control on the antivirus, security or firewall. Do you have any these kind of applications on you mind that may blocking Local?

You might need to check with your IT department if it’s possible to grant Local access to edit the hosts file and prevent connections from being blocked. If it’s helpful you can share this with them if they need to do what types of calls Local makes: